gnutls_pcert_list_import_x509_raw(3)

NAME
gnutls_pcert_list_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_list_import_x509_raw(gnutls_pcert_st * pcert_list, unsigned int * pcert_list_size, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert_list
    The structures to store the certificates; must not contain initialized gnutls_pcert_st structures.

unsigned int * pcert_list_size
    Initially must hold the maximum number of certs. It will be updated with the number of certs available.

const gnutls_datum_t * data
    The certificates.

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will import the provided DER or PEM encoded certificates to an already allocated set of gnutls_pcert_st structures. The structures must be deinitialized afterwards using gnutls_pcert_deinit(). pcert_list should contain space for at least pcert_list_size elements.

If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value; if the pcert list doesn't have enough space GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/